CreateIndexDetails¶
- class oci.nosql.models.CreateIndexDetails(**kwargs)¶
Bases:
objectSpecifications for the new index.
Methods:
__init__(**kwargs)Initializes a new CreateIndexDetails object with values from keyword arguments.
Attributes:
Gets the compartment_id of this CreateIndexDetails.
Gets the is_if_not_exists of this CreateIndexDetails.
[Required] Gets the keys of this CreateIndexDetails.
[Required] Gets the name of this CreateIndexDetails.
- __init__(**kwargs)¶
Initializes a new CreateIndexDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
name (str) – The value to assign to the name property of this CreateIndexDetails.
compartment_id (str) – The value to assign to the compartment_id property of this CreateIndexDetails.
keys (list[oci.nosql.models.IndexKey]) – The value to assign to the keys property of this CreateIndexDetails.
is_if_not_exists (bool) – The value to assign to the is_if_not_exists property of this CreateIndexDetails.
- property compartment_id¶
Gets the compartment_id of this CreateIndexDetails. The OCID of the table’s compartment. Required if the tableNameOrId path parameter is a table name. Optional if tableNameOrId is an OCID. If tableNameOrId is an OCID, and compartmentId is supplied, the latter must match the identified table’s compartmentId.
- Returns
The compartment_id of this CreateIndexDetails.
- Return type
str
- property is_if_not_exists¶
Gets the is_if_not_exists of this CreateIndexDetails. If true, the operation completes successfully even when the index exists. Otherwise, an attempt to create an index that already exists will return an error.
- Returns
The is_if_not_exists of this CreateIndexDetails.
- Return type
bool
- property keys¶
[Required] Gets the keys of this CreateIndexDetails. A set of keys for a secondary index.
- Returns
The keys of this CreateIndexDetails.
- Return type
- property name¶
[Required] Gets the name of this CreateIndexDetails. Index name.
- Returns
The name of this CreateIndexDetails.
- Return type
str